<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='Мой сайт';
include_once '../../sys/inc/thead.php';
title();
err();     
aut();
if(!isset($user)){
echo "Необходима регистрация<br/>";
}
else
{
$qk=mysql_result(mysql_query("SELECT COUNT(*) FROM `wap_site` WHERE `id_u`='".$user['id']."'"), 0);
if($qk=='0'){
if(!isset($_POST['submit'])){
echo "Привет,".$user['nick']."<br/>
У тебя всего 1000р<br/>
Выбери название и домен для сайта.<br/>
<form method='post' action='?$passgen'>
Название сайта:<br/>
<input type='text' name='name' maxlength='64'/>
<br/>Домен:<br/><select name='domain'>";

for($i='1';$i<'9';$i++){
if($i=='1'){
$domain='.ru';
}
elseif($i=='2'){
$domain='.us';
}
elseif($i=='3'){
$domain='.su';
}
elseif($i=='4'){
$domain='.mobi';
}
elseif($i=='5'){
$domain='.net';
}
elseif($i=='6'){
$domain='.tv';
}
elseif($i=='7'){
$domain='.com';
}
elseif($i=='8'){
$domain='.info';
}
echo "<option value='$domain'>$domain</option>";
}
echo "</select><br/><input type='hidden' name ='price' value='100'/>
<input type='submit' value='Купить' name='submit'/></form> ";
}
elseif(isset($_POST['submit']) && $_POST['name']!='')
{
$name=my_esc($_POST['name']);
if(!preg_match("#^([A-z])+$#ui", $name)){
msg("Название должно состоять только из английских букв");
echo "<a href='index.php?$passgen'>Назад</a><br/>";
include_once '../../sys/inc/tfoot.php';
break;
}
$price=abs(intval($_POST['price']));
$domain=my_esc($_POST['domain']);
$link="$name$domain";


$dengi=1000-$price;
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `wap_site` WHERE `link`='$link'"),0)=='0'){
$ntime=time()+60*60*10;
mysql_query("INSERT INTO `wap_site`(`id_u`, `link`, `dengi`, `tarif`, `time_h`, `rekl_cost`) VALUES('".$user['id']."', '".$link."', '".$dengi."', '100', '$ntime', '100')");
msg('Вы успешно создали свой сайт!');
echo "<a href='index.php?$passgen'>В игру</a><br/>";
}
else
{msg('Сайт с таким доменом уже есть!');
echo "<a href='index.php?$passgen'>Назад</a><br/>";
}}
}
else
{
$arr=mysql_fetch_array(mysql_query("SELECT * FROM `wap_site` WHERE `id_u`='$user[id]'"));
echo "<div class='aut'>".output_text($arr['link'])."</div>\n";
echo "<div class='f1'>- Ваш бюджет: ".intval($arr['dengi'])."<img src='d.gif'/></div>\n";
echo "<div class='f2'>- Ваш тариф: ".intval($arr['tarif_abs'])."/".intval($arr['tarif'])." мб.</div>\n";
echo "<div class='f1'>- Хостов: ".intval($arr['host_day'])."</div>\n";
echo "<div class='f2'>- Хитов: ".intval($arr['hit_day'])."</div>\n";
echo "<div class='f1'>- Хостов всего: ".intval($arr['host'])."</div>\n";
echo "<div class='f2'>- Хитов всего: ".intval($arr['hit'])."</div>\n";
echo "<div class='f1'>- Регистраций : ".intval($arr['reg'])."</div>\n";
echo "<div class='f2'>- Стоимость рекламы на вашем сайте: ".intval($arr['rekl_cost'])."</div>\n";
echo "<div class='f1'>- Покупка рекламы на вашем сайте: ".intval($arr['rekl_my'])."</div>\n";
if($arr['time_h']<=time()){
if($arr['time_r']>=time()){
$add=$arr['rekl_h'];
}else{
$add=1;
}
$host=rand(1,10)+$add+round($arr[host_day]/5);
$hit2=rand(1,200);
$hit=round($host+$hit2)*$add;
$reg2=rand(1,10);
$allz=$arr['tarif_abs'];
$regs=round($allz/100);
if($regs=='0'){
$regs=1;
}
$reg=$reg2*$regs+round($add/10);
$prib2=rand(1,100)+$add;
$prib=$prib2*$arr['reg'];
$time_h=time()+60*60*10;
$nhost=$host+$arr['host'];
mysql_query("UPDATE `wap_site` SET `host`=`host`+$host, `host_day`='$host', `hit_day`='$hit', `hit`=`hit`+$hit, `reg`=`reg`+$reg, `dengi`=`dengi`+$prib, `time_h`='".$time_h."' WHERE `id_u`='".$user['id']."'");
echo "<div class='aut'>Получена прибыль в размере $prib <img src='d.gif'/></div>";
}
################################################################################
$mod=htmlspecialchars(trim($_GET['mod']));
echo "<div class='aut'>Действия</div>";
switch($mod){
################################################################################
default:
echo "<div class='f1'><img src='tarif.gif'/> <a href='?mod=tarif'>Сменить тариф сайта</a></div>\n";
echo "<div class='f2'><img src='down.png'/> <a href='?mod=tabs'>Загрузки на сайт</a></div>\n";
echo "<div class='f1'><img src='rekl.png'/> <a href='?mod=reklama'>Cтоимость рекламы</a></div>\n";
echo "<div class='f2'><img src='opis.png'/> <a href='?mod=opis'>Описание сайта</a></div>\n";
echo "<div class='f1'><img src='top.png'/> <a href='?mod=top'>Топ сайтов</a></div>\n";
echo "<div class='f2'><img src='h.gif'/> <a href='?mod=how'>Как играть</a></div>\n";;
break;
################################################################################
case 'top':
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `wap_site`"),0);
$k_page=k_page($all_sites,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$all_site=mysql_query("SELECT * FROM `wap_site` ORDER BY `host_day` DESC LIMIT $start,$set[p_str]");
while($ar=mysql_fetch_array($all_site)){
if($num==1){ 
echo "<div class='f1'>"; 
$num=0;}
else{ 
echo "<div class='f2'>"; 
$num=1;}
echo "<a href='?mod=site&amp;id=$ar[id]'>".output_text($ar['link'])."</a><br/>\n";
if ($ar['link_opis']!=NULL)echo "".output_text($ar['link_opis'])."<br />\n";
else
echo "\n";
echo "
Хостов: $ar[host_day]<br/>\n
Хитов: $ar[hit_day]\n";
echo "</div>\n";
}
if($k_page>'1')str('?mod=top&amp;',$k_page,$page);
break;
################################################################################
case 'site':
$id=intval(abs($_GET['id']));
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `wap_site` WHERE `id`='$id'"),0);
if($all_sites=='1'){
$all_site=mysql_query("SELECT * FROM `wap_site` WHERE `id`='$id'");
while($ar=mysql_fetch_array($all_site)){
echo "<div class='f1'>Название сайта: ".output_text($ar['link'])."</div>\n";
echo "<div class='f1'>Бюджет сайта: ".intval($ar['dengi'])."<img src='d.gif'/></div>\n";
echo "<div class='f1'>Тариф: ".intval($ar['tarif_abs'])."/".intval($ar['tarif'])." мб.</div>\n";
echo "<div class='f1'>Хостов: ".intval($ar['host_day'])."</div>\n";
echo "<div class='f1'>Хитов: ".intval($ar['hit_day'])."</div>\n";
echo "<div class='f1'>Хостов всего: ".intval($ar['host'])."</div>\n";
echo "<div class='f1'>Хитов всего: ".intval($ar['hit'])."</div>\n";
echo "<div class='f1'>Регистраций: ".intval($ar['reg'])."</div>\n";
echo "<div class='f1'>Стоимость рекламы на сайте: ".intval($ar['rekl_cost'])."</div>\n";
if($id!=$arr['id']){
echo "<div class='glav'><a href='?mod=rekadd&amp;id=$ar[id]'>Купить рекламу</a></div>\n";
}}}else{
echo "Ошибка";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'rekadd':
$id=intval(abs($_GET['id']));
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `wap_site` WHERE `id`='$id'"),0);
if($all_sites=='1' && $id!=$arr['id']){
$all_site=mysql_query("SELECT * FROM `wap_site` WHERE `id`='$id'");
while($ar=mysql_fetch_array($all_site)){
if($arr['dengi']>=$ar['rekl_cost']){
$nhost=round($ar['host_day']/5);
$newtime=time()+60*60*10*7;
mysql_query("UPDATE `wap_site` SET `time_r`='$newtime', `dengi`=`dengi`-$ar[rekl_cost], `rekl_h`='$nhost' WHERE `id_u`='".$user['id']."'");
mysql_query("UPDATE `wap_site` SET `rekl_my`=`rekl_my`+'1', `dengi`=`dengi`+$ar[rekl_cost] WHERE `id`='$id'");
msg('Успешно');
}else{
msg('Нехватает денег');
}
}}else{
echo "Ошибка";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'reklama':
if(isset($_POST['submit'])){
$colvo=abs(intval($_POST['colvo']));
if($colvo<='99'){
$colvo=100;
}
mysql_query("UPDATE `wap_site` SET `rekl_cost`='$colvo' WHERE `id_u`='".$user['id']."'");
msg('Успешно');
}else{
echo "Стоимость рекламы на вашем сайте:(мин. 100)<br/>
<form method='post' action='?mod=reklama&amp;$passgen'>
<input name='colvo' maxlength='5'/>
<input type='submit' value='Изменить!' name='submit'/></form>";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'opis':
if(isset($_POST['submit'])){
$colvo=my_esc($_POST['colvo']);
mysql_query("UPDATE `wap_site` SET `link_opis`='$colvo' WHERE `id_u`='".$user['id']."'");
msg('Успешно');
}else{
echo "Описание вашего вашего сайта:<br/>
<form method='post' action='?mod=opis&amp;$passgen'>
<input name='colvo' maxlength='32'/>
<input type='submit' value='Изменить!' name='submit'/></form>";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'tabs':
$dostup=$arr['tarif']-$arr['tarif_abs'];
if(isset($_POST['submit'])){
$colvo=abs(intval($_POST['colvo']));
$dengii=$colvo*20;
if($dengii<=$arr['dengi'] && $colvo<=$dostup){
mysql_query("UPDATE `wap_site` SET `dengi`=`dengi`-$dengii, `tarif_abs`=`tarif_abs`+$colvo WHERE `id_u`='".$user['id']."'");
msg('Успешно');
}else{
msg('Ошибка');
}}else{
echo "Сколько мб загрузить?(доступно $dostup мб.)<br/>
*стоимость 1мб - 20р<br/>
<form method='post' action='?mod=tabs&amp;$passgen'>
<input name='colvo' maxlength='5'/>
<input type='submit' value='Загрузить!' name='submit'/></form>";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'tarif':
if($arr['tarif']<='499'){
echo "<div class='f1'>500мб <a href='?mod=kup1'>Купить (500p)</a></div>\n";
}
if($arr['tarif']<='999'){
echo "<div class='f1'>1гб <a href='?mod=kup2'>Купить (1500p)</a></div>\n";
}
if($arr['tarif']<='1999'){
echo "<div class='f1'>2гб <a href='?mod=kup3'>Купить (4000p)</a></div>\n";
}
if($arr['tarif']<='4999'){
echo "<div class='f1'>5гб <a href='?mod=kup4'>Купить (7000p)</a></div>\n";
}
if($arr['tarif']<='14999'){
echo "<div class='f1'>15гб <a href='?mod=kup5'>Купить (21000p)</a></div>\n";
}
if($arr['tarif']<='49999'){
echo "<div class='f1'>50гб <a href='?mod=kup6'>Купить (75000p)</a></div>\n";
}
if($arr['tarif']<='99999'){
echo "<div class='f1'>100гб <a href='?mod=kup7'>Купить (150000p)</a></div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup1':
if($arr['tarif']<='499' && $arr['dengi']>='500'){
mysql_query("UPDATE `wap_site` SET `tarif`='500', `dengi`=`dengi`-500 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup2':
if($arr['tarif']=='500' && $arr['dengi']>='1500'){
mysql_query("UPDATE `wap_site` SET `tarif`='1000', `dengi`=`dengi`-1500 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup3':
if($arr['tarif']=='1000' && $arr['dengi']>='4000'){
mysql_query("UPDATE `wap_site` SET `tarif`='2000', `dengi`=`dengi`-4000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup4':
if($arr['tarif']=='2000' && $arr['dengi']>='7000'){
mysql_query("UPDATE `wap_site` SET `tarif`='5000', `dengi`=`dengi`-7000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup5':
if($arr['tarif']=='5000' && $arr['dengi']>='21000'){
mysql_query("UPDATE `wap_site` SET `tarif`='15000', `dengi`=`dengi`-21000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup6':
if($arr['tarif']=='15000' && $arr['dengi']>='75000'){
mysql_query("UPDATE `wap_site` SET `tarif`='50000', `dengi`=`dengi`-75000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'kup7':
if($arr['tarif']=='50000' && $arr['dengi']>='150000'){
mysql_query("UPDATE `wap_site` SET `tarif`='100000', `dengi`=`dengi`-150000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>Ошибка</div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
break;
################################################################################
case 'how':
echo "<div class='f1'>В этой игре вам предоставится возможность построить свой сайт!  <br />
1)Для начала вам необходимо выбрать домен с различными домеными зонами.
2)Цель игры - заработать как можно больше хостов в день.
 Для этого вам понадобится покупать рекламу на различных сайтах(других пользователей), заливать загрузки на сайт. 
 Также вы можете продавать рекламу со своего сайта(стоимсть не ниже 100р).
 <br/>\nЧем больше у вас хостов в день - тем выше вы в топе и тем самым у вас больше денег)
 <br/>\n3)В игре присутствуют такие параметры:
 <br/>\nХосты в день- количество посещений в день *
 <br/>\nХиты в день- количество переходов по вашему сайту в день
 <br/>\nХосты всего- количество посещений за всю игру
 <br/>\nХиты всего- количество переходов по вашему сайту за всю игру
 <br/>\nТариф - дисковое пространство для вашего сайта(можно увеличить в течении игры).
 <br/>\nЗагрузки - чем больше загрузок - тем больше посещаемость
 <br/>\nРегистрации - чем больше регистраций - тем больше заработок
 <br/>\nОписание сайта - описание вашего сайта в топе сайтов <br/>* игровой день - 10 часов реального времени</div>\n";
 echo "<div class='aut'><a href='?$passgen'>В игру</a></div>";
 break;
}


}
}
include_once '../../sys/inc/tfoot.php';

?>

